.header-action-bar {
    position: relative;
    display: flex;
    flex: 0;
    flex-wrap: nowrap;
    column-gap: var(--header-column-gap);
    order: 40;
    padding-block: 0;
    padding-block: 12px;
    margin-inline-start: auto;
}

@media (max-width: 959px) {
    .header-action-bar theme-locale-picker {
        display: none;
    }

    .kTTLcN,.jiVhXM {
        display: none;
    }

    .eVBxwK,
    .dRsJjB {
        display: inline-flex;
    }
}

@media (max-width: 959px) {
    .header-action-bar {
        display: flex;
        column-gap: var(--header-column-gap-mobile);
    }
}

.header-action-bar>* {
    position: relative;
    z-index: calc(var(--header-nav-dropdown-menu-z-index) + 1);
}

@media (max-width: 959px) {
    .header-action-bar {
        flex: 1;
        padding: 0;
    }
}

.header__container[layout="center_logo_wrap_menu"] .header-action-bar {
    flex: 1;
}

.header-action-bar .button--icon {
    display: inline-flex;
    justify-self: end;
    width: 24px;
    height: 24px;
}

.header-action-bar .button--hidden {
    display: none;
}

@media (max-width: 959px) {
    .header-action-bar .button--hidden-mobile {
        display: none;
    }
}

@media (min-width: 960px) {
    .header-action-bar .button--hidden-desktop {
        display: none;
    }
}

.header-action-bar .header-action-bar__search {
    margin-inline-end: 0;
}

.header-action-bar.left {
    display: none;
    grid-area: action-bar-left;
    order: 0;
}

.header-action-bar.left .header-action-bar__search {
    display: none;
}

.header-action-bar.right {
    grid-area: action-bar-right;
    justify-content: end;
}

[type="drawer"] .header-action-bar.left,
[layout^="center_logo_"] .header-action-bar.left {
    display: flex;
}

[layout="center_logo_wrap_menu"] .header-action-bar.left .header-action-bar__search {
    display: inline-flex;
}

[layout="center_logo_wrap_menu"] .header-action-bar.right .header-action-bar__search {
    display: none;
}

.header-action-bar [layout="left_logo_left_menu"] .header__logo {
    order: 0;
}

@media (max-width: 959px) {
    .header-action-bar.right .header-action-bar__menu {
        display: none;
    }

    .header-action-bar.left {
        display: flex;
    }

    [layout^="left_logo_"] .header-action-bar.left {
        flex: 0;
    }

    [layout^="center_logo_"] .header-action-bar.left .header-action-bar__search {
        display: inline-flex;
    }

    [layout^="center_logo_"] .header-action-bar.right .header-action-bar__search {
        display: none;
    }
}